Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686018 - 400 Bad Request displayed when trying to create button with same description on generic object class
Summary: 400 Bad Request displayed when trying to create button with same description ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.2
Assignee: Zita Nemeckova
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1650085
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 14:49 UTC by Satoe Imaishi
Modified: 2019-04-02 07:46 UTC (History)
8 users (show)

Fixed In Version: 5.10.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1650085
Environment:
Last Closed: 2019-04-02 07:46:16 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0694 None None None 2019-04-02 07:46:22 UTC

Comment 2 CFME Bot 2019-03-06 14:53:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b42e732afa66e8754bb3c12408de2e9176320da4
commit b42e732afa66e8754bb3c12408de2e9176320da4
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Dec 11 09:22:56 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Tue Dec 11 09:22:56 2018 -0500

    Merge pull request #4951 from ZitaNemeckova/fix_error_message_god_button

    Catch 400 error and display it in flash message in GOD

    (cherry picked from commit 65652049aeabc25426bb09ef1ad941b5eb4d56b9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1686018

 app/assets/javascripts/components/generic_object/main-custom-button-form-component.js | 58 +-
 spec/javascripts/components/generic_object_definition/main-custom-button-form_spec.js | 70 +
 2 files changed, 110 insertions(+), 18 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2019-03-19 06:36:58 UTC
Verified in Version 5.10.2.0.20190311164858_455d270

Comment 5 errata-xmlrpc 2019-04-02 07:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0694


Note You need to log in before you can comment on or make changes to this bug.